@ECHO OFF

rem ``cprtBlock``
rem Licensed Materials - Property of IBM
rem Restricted Materials of IBM
rem 5724-I74, 5724-I75
rem  Copyright IBM Corporation 2006. All rights reserved.
rem US Government Users Restricted Rights - Use, duplication or disclosure
rem restricted by GSA ADP Schedule Contract with IBM Corp.

rem Description:
rem	This bat file is used to unzip a file using java which preserves non ascii characters.
rem 
rem	This bat file specifies the jar file that contains the logic and
rem invokes a specific java virtual machine(jvm) to run the java class on.
rem
rem The bat files assumes that within the same directory as itself there exists a jar file that contains the UnzipCommand class.
rem The bat file should be used within the context of a installed Webshere Modeler and in such a instance there will be an eclipse\jre\bin direcotry
rem that contains a jvm which is used to run this utility.

set CLASSPATH=restoreProjectUtility.jar

..\jdk\jre\bin\java com.ibm.btools.blm.model.blmfilemanager.command.UnzipCommand %*

@ECHO ON
